#include <engine.h>
#include <extern/toml.h>

//load setting.toml to memory
void	SettingLoad(const char *name) {
	FILE *file;
	file = fopen(name, "rb");
	fclose(file);
}

//write setting in memory to setting.toml
void	SettingSave(const char *name) {
	FILE *file;
	file = fopen(name, "wb");
	fclose(file);
}

//apply change made by the player to setting in memory and write to setting.toml
void	SettingUpdate() {
	SettingSave("setting.toml");
}

void	CharacterLoad(const char *name) {
	FILE *file;
	file = fopen(name, "wb");
	fclose(file);
}

void	CharacterSave(const char *name) {
	FILE *file;
	file = fopen(name, "wb");
	fclose(file);
}

void	WorldLoad(const char *name) {
	FILE *file;
	file = fopen(name, "wb");
	fclose(file);
}

void	WorldSave(const char *name) {
	FILE *file;
	file = fopen(name, "wb");
	fclose(file);
}

